<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:55 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GraphicIO (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GraphicIO (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GraphicIO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/io/GraphicIO.html" target="_top">Frames</a></li>
<li><a href="GraphicIO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.javax.swing.JFrame">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.io</div>
<h2 title="Class GraphicIO" class="title">Class GraphicIO</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.awt.Component</li>
<li>
<ul class="inheritance">
<li>java.awt.Container</li>
<li>
<ul class="inheritance">
<li>java.awt.Window</li>
<li>
<ul class="inheritance">
<li>java.awt.Frame</li>
<li>
<ul class="inheritance">
<li>javax.swing.JFrame</li>
<li>
<ul class="inheritance">
<li>towerwarspp.io.GraphicIO</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants, <a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io">IO</a>, <a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a>, <a href="../../towerwarspp/preset/Requestable.html" title="interface in towerwarspp.preset">Requestable</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">GraphicIO</span>
extends javax.swing.JFrame
implements <a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io">IO</a></pre>
<div class="block">Class <a href="../../towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io"><code>GraphicIO</code></a> interacts with the User over a GUI.

 This Class draws a Grid of <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a> in which this class also draws the <a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board"><code>Entity</code></a>.
 The user can hover over one <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a> and can see the possible <a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a> of this <a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board"><code>Entity</code></a> in that <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a>.
 He can also click with an left click on the <a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board"><code>Entity</code></a> so that he can do his move with a right click on one of the marked <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a>.
 The user has the possibility to surrender the Game over an Button. He can save the actual Game which also closes the game.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>0.6 July 07th 2017</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Kai Kuhlmann</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../serialized-form.html#towerwarspp.io.GraphicIO">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.javax.swing.JFrame">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;javax.swing.JFrame</h3>
<code>javax.swing.JFrame.AccessibleJFrame</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Frame">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Frame</h3>
<code>java.awt.Frame.AccessibleAWTFrame</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Window">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Window</h3>
<code>java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Container</h3>
<code>java.awt.Container.AccessibleAWTContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h3>
<code>java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JPanel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#buttonPanel">buttonPanel</a></span></code>
<div class="block">JPanel-Object for right Buttons</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#clicked">clicked</a></span></code>
<div class="block">Boolean if is clicked on a token</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#debugInstance">debugInstance</a></span></code>
<div class="block">Debug Instance of <a href="../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JTextField</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#debugLine">debugLine</a></span></code>
<div class="block">Textarea for output of turn, player</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#deliverMove">deliverMove</a></span></code>
<div class="block">Move-Object which is used for deliver()</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io">HexagonGrid</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#hexagonGrid">hexagonGrid</a></span></code>
<div class="block">HexagonGrid-Object</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JFrame</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#jFrame">jFrame</a></span></code>
<div class="block">JFrame-Object</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JPanel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#jPanel">jPanel</a></span></code>
<div class="block">JPanel-Object</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.awt.Polygon[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#markedPolygon">markedPolygon</a></span></code>
<div class="block">Polygon-Object for the marks of which player has turn.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.awt.Polygon[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#polygon">polygon</a></span></code>
<div class="block">Polygon-Object</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#polySize">polySize</a></span></code>
<div class="block">Polygon Size</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.Vector&lt;<a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#possibleMoves">possibleMoves</a></span></code>
<div class="block">MoveList-Object of possible Moves</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JTextArea</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#resultArea">resultArea</a></span></code>
<div class="block">TextArea in ResultDialog</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JDialog</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#resultDialog">resultDialog</a></span></code>
<div class="block">The ResultDialog on which is shown the result of the tournament or the game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#save">save</a></span></code>
<div class="block">Boolean if the saveButton is clicked</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JDialog</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#saveDialog">saveDialog</a></span></code>
<div class="block">The SaveDialog which names the savefile</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#saveGameName">saveGameName</a></span></code>
<div class="block">The name of the savefile</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#viewer">viewer</a></span></code>
<div class="block">Viewer-Object</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.javax.swing.JFrame">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;javax.swing.JFrame</h3>
<code>accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.Frame">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Frame</h3>
<code>CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<code>BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.javax.swing.WindowConstants">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;javax.swing.WindowConstants</h3>
<code>DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.image.ImageObserver">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#GraphicIO--">GraphicIO</a></span>()</code>
<div class="block">Constructor of the Class <a href="../../towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io"><code>GraphicIO</code></a>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#deliver--">deliver</a></span>()</code>
<div class="block">Waits for Player Input and set the Main-Thread to wait().</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#dialog-java.lang.String-">dialog</a></span>(java.lang.String&nbsp;string)</code>
<div class="block">Set the Text of the ResultDialog and set the Dialog on visible.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#display-java.lang.String-">display</a></span>(java.lang.String&nbsp;string)</code>
<div class="block">Set the textarea of ButtonPanel to display e.g turn and player.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#drawEntity-java.awt.Graphics2D-towerwarspp.board.Entity-int-int-int-">drawEntity</a></span>(java.awt.Graphics2D&nbsp;g,
          <a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;entity,
          int&nbsp;distance,
          int&nbsp;x,
          int&nbsp;y)</code>
<div class="block">Draws the Entity.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#drawLetters-java.awt.Graphics2D-int-">drawLetters</a></span>(java.awt.Graphics2D&nbsp;g,
           int&nbsp;distance)</code>
<div class="block">Draws the LetterLine on top.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#drawNumbers-java.awt.Graphics2D-int-int-">drawNumbers</a></span>(java.awt.Graphics2D&nbsp;g,
           int&nbsp;distance,
           int&nbsp;y)</code>
<div class="block">Draws the Numbers on the left side.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#drawPossibleMoves-java.awt.Graphics2D-">drawPossibleMoves</a></span>(java.awt.Graphics2D&nbsp;g)</code>
<div class="block">Fills the Hexagons which have the hovered or clicked token can reach with Green.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>private javax.swing.JPanel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#getButtonPanel--">getButtonPanel</a></span>()</code>
<div class="block">Creates the ButtonPanel with the two Buttons surrender and save.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>private char[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#getChar-towerwarspp.board.Entity-">getChar</a></span>(<a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;entity)</code>
<div class="block">Returns the Char for the Token-Type.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>private java.awt.Color</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#getColor-towerwarspp.board.Entity-">getColor</a></span>(<a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;entity)</code>
<div class="block">Returns the Color of the Token.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>private int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#getCoordinatesOfPolygon-int-int-">getCoordinatesOfPolygon</a></span>(int&nbsp;mouseX,
                       int&nbsp;mouseY)</code>
<div class="block">Get the coordinates of the clicked token.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>private javax.swing.JTextField</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#getDebugLine--">getDebugLine</a></span>()</code>
<div class="block">Creates a TextField at the bottom of the JFrame and shows actual messages</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>private java.awt.event.ComponentAdapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#getFrameResize--">getFrameResize</a></span>()</code>
<div class="block">Listener on Resize of Frame.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>private javax.swing.JPanel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#getJPanel--">getJPanel</a></span>()</code>
<div class="block">Creates the JPanel where the HexagonGrid and the Entities are displayed.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>private java.awt.event.MouseAdapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#getMouseListener--">getMouseListener</a></span>()</code>
<div class="block">Creates the MouseListener for the JPanel for the clicks and hover over a token.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>private javax.swing.JDialog</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#getResultDialog--">getResultDialog</a></span>()</code>
<div class="block">Creates the ResultDialog after a Tournament with a Close Button which closes the Application.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#getSave--">getSave</a></span>()</code>
<div class="block">Get if Game should be saved.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>private javax.swing.JButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#getSaveButton--">getSaveButton</a></span>()</code>
<div class="block">Creates the SaveDialog where the humanPlayer can choose the savename.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>private javax.swing.JDialog</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#getSaveDialog--">getSaveDialog</a></span>()</code>
<div class="block">Returns the SaveDialog in which the User can define the name of the savegame.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#getSaveGameName--">getSaveGameName</a></span>()</code>
<div class="block">Get the Name of the SaveGame</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>private javax.swing.JButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#getSurrenderButton--">getSurrenderButton</a></span>()</code>
<div class="block">Creates a Button with the action of surrender.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#setPolygonSize--">setPolygonSize</a></span>()</code>
<div class="block">Setter of the size of a single Polygon.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#setSave-boolean-">setSave</a></span>(boolean&nbsp;save)</code>
<div class="block">Set for save
 Should be true when saveButton is clicked.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#setTitle-java.lang.String-">setTitle</a></span>(java.lang.String&nbsp;string)</code>
<div class="block">Sets the Title of the JFrame.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#setViewer-towerwarspp.preset.Viewer-">setViewer</a></span>(<a href="../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a>&nbsp;viewer)</code>
<div class="block">Setter of Viewer and Initialize of JPanels.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#showSaveDialog--">showSaveDialog</a></span>()</code>
<div class="block">Set the saveDialog visible.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#visualize--">visualize</a></span>()</code>
<div class="block">Updates the JPanel.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/GraphicIO.html#wakeUp--">wakeUp</a></span>()</code>
<div class="block">Wakes the dormant Main-Thread.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.javax.swing.JFrame">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JFrame</h3>
<code>addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Frame">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Frame</h3>
<code>addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setBackground, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setUndecorated</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Window">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Window</h3>
<code>addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, setVisible, show, toBack, toFront</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<code>add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.MenuContainer">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.awt.MenuContainer</h3>
<code>getFont, postEvent</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="viewer">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>viewer</h4>
<pre>private&nbsp;<a href="../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a> viewer</pre>
<div class="block">Viewer-Object</div>
</li>
</ul>
<a name="hexagonGrid">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hexagonGrid</h4>
<pre>private&nbsp;<a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io">HexagonGrid</a> hexagonGrid</pre>
<div class="block">HexagonGrid-Object</div>
</li>
</ul>
<a name="polygon">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>polygon</h4>
<pre>private&nbsp;java.awt.Polygon[][] polygon</pre>
<div class="block">Polygon-Object</div>
</li>
</ul>
<a name="markedPolygon">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>markedPolygon</h4>
<pre>private&nbsp;java.awt.Polygon[][] markedPolygon</pre>
<div class="block">Polygon-Object for the marks of which player has turn.</div>
</li>
</ul>
<a name="jFrame">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jFrame</h4>
<pre>private&nbsp;javax.swing.JFrame jFrame</pre>
<div class="block">JFrame-Object</div>
</li>
</ul>
<a name="jPanel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jPanel</h4>
<pre>private&nbsp;javax.swing.JPanel jPanel</pre>
<div class="block">JPanel-Object</div>
</li>
</ul>
<a name="polySize">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>polySize</h4>
<pre>private&nbsp;int polySize</pre>
<div class="block">Polygon Size</div>
</li>
</ul>
<a name="possibleMoves">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>possibleMoves</h4>
<pre>private&nbsp;java.util.Vector&lt;<a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt; possibleMoves</pre>
<div class="block">MoveList-Object of possible Moves</div>
</li>
</ul>
<a name="deliverMove">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deliverMove</h4>
<pre>private&nbsp;<a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a> deliverMove</pre>
<div class="block">Move-Object which is used for deliver()</div>
</li>
</ul>
<a name="buttonPanel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>buttonPanel</h4>
<pre>private&nbsp;javax.swing.JPanel buttonPanel</pre>
<div class="block">JPanel-Object for right Buttons</div>
</li>
</ul>
<a name="debugLine">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>debugLine</h4>
<pre>private&nbsp;javax.swing.JTextField debugLine</pre>
<div class="block">Textarea for output of turn, player</div>
</li>
</ul>
<a name="resultArea">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resultArea</h4>
<pre>private&nbsp;javax.swing.JTextArea resultArea</pre>
<div class="block">TextArea in ResultDialog</div>
</li>
</ul>
<a name="resultDialog">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resultDialog</h4>
<pre>private&nbsp;javax.swing.JDialog resultDialog</pre>
<div class="block">The ResultDialog on which is shown the result of the tournament or the game.</div>
</li>
</ul>
<a name="clicked">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clicked</h4>
<pre>private&nbsp;boolean clicked</pre>
<div class="block">Boolean if is clicked on a token</div>
</li>
</ul>
<a name="saveDialog">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveDialog</h4>
<pre>private&nbsp;javax.swing.JDialog saveDialog</pre>
<div class="block">The SaveDialog which names the savefile</div>
</li>
</ul>
<a name="save">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>private&nbsp;boolean save</pre>
<div class="block">Boolean if the saveButton is clicked</div>
</li>
</ul>
<a name="saveGameName">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveGameName</h4>
<pre>private&nbsp;java.lang.String saveGameName</pre>
<div class="block">The name of the savefile</div>
</li>
</ul>
<a name="debugInstance">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>debugInstance</h4>
<pre>private&nbsp;<a href="../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a> debugInstance</pre>
<div class="block">Debug Instance of <a href="../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a></div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GraphicIO--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GraphicIO</h4>
<pre>public&nbsp;GraphicIO()</pre>
<div class="block">Constructor of the Class <a href="../../towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io"><code>GraphicIO</code></a>.
 Creates a JFrame and add a ComponentListener which listens on the resize of the JFrame.
 Adds to the JPanel an MouseMotionListener and an MouseMoveListener for the click Event and mousemove Event.
 Calculates the Size of the JPanel.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getResultDialog--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResultDialog</h4>
<pre>private&nbsp;javax.swing.JDialog&nbsp;getResultDialog()</pre>
<div class="block">Creates the ResultDialog after a Tournament with a Close Button which closes the Application.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returns ResultDialog</dd>
</dl>
</li>
</ul>
<a name="getButtonPanel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getButtonPanel</h4>
<pre>private&nbsp;javax.swing.JPanel&nbsp;getButtonPanel()</pre>
<div class="block">Creates the ButtonPanel with the two Buttons surrender and save.
 Surrender Button sends a null Move for surrendering.
 Save button opens a JDialog.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returns the ButtonPanel</dd>
</dl>
</li>
</ul>
<a name="getDebugLine--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDebugLine</h4>
<pre>private&nbsp;javax.swing.JTextField&nbsp;getDebugLine()</pre>
<div class="block">Creates a TextField at the bottom of the JFrame and shows actual messages</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returns the DebugLine</dd>
</dl>
</li>
</ul>
<a name="getSaveButton--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSaveButton</h4>
<pre>private&nbsp;javax.swing.JButton&nbsp;getSaveButton()</pre>
<div class="block">Creates the SaveDialog where the humanPlayer can choose the savename.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returns the savedialog</dd>
</dl>
</li>
</ul>
<a name="getSaveDialog--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSaveDialog</h4>
<pre>private&nbsp;javax.swing.JDialog&nbsp;getSaveDialog()</pre>
<div class="block">Returns the SaveDialog in which the User can define the name of the savegame.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The SaveDialog</dd>
</dl>
</li>
</ul>
<a name="getFrameResize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFrameResize</h4>
<pre>private&nbsp;java.awt.event.ComponentAdapter&nbsp;getFrameResize()</pre>
<div class="block">Listener on Resize of Frame.
 Recalculate the <code>Polygon</code> size.
 Update the <a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io"><code>HexagonGrid</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Adapter</dd>
</dl>
</li>
</ul>
<a name="getMouseListener--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMouseListener</h4>
<pre>private&nbsp;java.awt.event.MouseAdapter&nbsp;getMouseListener()</pre>
<div class="block">Creates the MouseListener for the JPanel for the clicks and hover over a token.
 When you hover over a token it shows the possible Moves of this token same for click,
 but only possible on own token.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>MouseListener</dd>
</dl>
</li>
</ul>
<a name="getJPanel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJPanel</h4>
<pre>private&nbsp;javax.swing.JPanel&nbsp;getJPanel()</pre>
<div class="block">Creates the JPanel where the HexagonGrid and the Entities are displayed.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>JPanel</dd>
</dl>
</li>
</ul>
<a name="getSurrenderButton--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSurrenderButton</h4>
<pre>private&nbsp;javax.swing.JButton&nbsp;getSurrenderButton()</pre>
<div class="block">Creates a Button with the action of surrender.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The surrender Button</dd>
</dl>
</li>
</ul>
<a name="showSaveDialog--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showSaveDialog</h4>
<pre>private&nbsp;void&nbsp;showSaveDialog()</pre>
<div class="block">Set the saveDialog visible.</div>
</li>
</ul>
<a name="setPolygonSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPolygonSize</h4>
<pre>private&nbsp;void&nbsp;setPolygonSize()</pre>
<div class="block">Setter of the size of a single Polygon.
 Calculates the <code>Polygon</code> size based on the size of the Frame</div>
</li>
</ul>
<a name="getCoordinatesOfPolygon-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCoordinatesOfPolygon</h4>
<pre>private&nbsp;int[]&nbsp;getCoordinatesOfPolygon(int&nbsp;mouseX,
                                      int&nbsp;mouseY)</pre>
<div class="block">Get the coordinates of the clicked token.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mouseX</code> - X-Coordinate of the Mouse</dd>
<dd><code>mouseY</code> - Y-Coordinate of the Mouse</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Coordinates of the Entity</dd>
</dl>
</li>
</ul>
<a name="getChar-towerwarspp.board.Entity-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChar</h4>
<pre>private&nbsp;char[]&nbsp;getChar(<a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;entity)</pre>
<div class="block">Returns the Char for the Token-Type.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>entity</code> - Tower or Stone</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the type of the Token as Char</dd>
</dl>
</li>
</ul>
<a name="getColor-towerwarspp.board.Entity-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getColor</h4>
<pre>private&nbsp;java.awt.Color&nbsp;getColor(<a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;entity)</pre>
<div class="block">Returns the Color of the Token.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>entity</code> - Tower or Stone</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the color of the Token</dd>
</dl>
</li>
</ul>
<a name="drawLetters-java.awt.Graphics2D-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawLetters</h4>
<pre>private&nbsp;void&nbsp;drawLetters(java.awt.Graphics2D&nbsp;g,
                         int&nbsp;distance)</pre>
<div class="block">Draws the LetterLine on top.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g</code> - the graphics Object</dd>
<dd><code>distance</code> - the distance of an Hexagoncenter to the edge</dd>
</dl>
</li>
</ul>
<a name="drawPossibleMoves-java.awt.Graphics2D-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawPossibleMoves</h4>
<pre>private&nbsp;void&nbsp;drawPossibleMoves(java.awt.Graphics2D&nbsp;g)</pre>
<div class="block">Fills the Hexagons which have the hovered or clicked token can reach with Green.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g</code> - the graphics Object</dd>
</dl>
</li>
</ul>
<a name="drawNumbers-java.awt.Graphics2D-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawNumbers</h4>
<pre>private&nbsp;void&nbsp;drawNumbers(java.awt.Graphics2D&nbsp;g,
                         int&nbsp;distance,
                         int&nbsp;y)</pre>
<div class="block">Draws the Numbers on the left side.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g</code> - the graphics Object</dd>
<dd><code>distance</code> - the distance of an Hexagoncenter to the edge</dd>
<dd><code>y</code> - the row count</dd>
</dl>
</li>
</ul>
<a name="drawEntity-java.awt.Graphics2D-towerwarspp.board.Entity-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawEntity</h4>
<pre>private&nbsp;void&nbsp;drawEntity(java.awt.Graphics2D&nbsp;g,
                        <a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;entity,
                        int&nbsp;distance,
                        int&nbsp;x,
                        int&nbsp;y)</pre>
<div class="block">Draws the Entity.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g</code> - the graphics Object</dd>
<dd><code>entity</code> - the entity on x and y</dd>
<dd><code>distance</code> - the distance of an Hexagoncenter to the edge</dd>
<dd><code>x</code> - the column count</dd>
<dd><code>y</code> - the row count</dd>
</dl>
</li>
</ul>
<a name="wakeUp--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>wakeUp</h4>
<pre>private&nbsp;void&nbsp;wakeUp()</pre>
<div class="block">Wakes the dormant Main-Thread.</div>
</li>
</ul>
<a name="getSave--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSave</h4>
<pre>public&nbsp;boolean&nbsp;getSave()</pre>
<div class="block">Get if Game should be saved.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/io/View.html#getSave--">getSave</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if game should be saved</dd>
</dl>
</li>
</ul>
<a name="setSave-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSave</h4>
<pre>private&nbsp;void&nbsp;setSave(boolean&nbsp;save)</pre>
<div class="block">Set for save
 Should be true when saveButton is clicked.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>save</code> - true if button clicked false when dialog hidden.</dd>
</dl>
</li>
</ul>
<a name="getSaveGameName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSaveGameName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSaveGameName()
                                 throws java.lang.Exception</pre>
<div class="block">Get the Name of the SaveGame</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/io/View.html#getSaveGameName--">getSaveGameName</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>name of the savegame</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - if the Thread is Interrupted</dd>
</dl>
</li>
</ul>
<a name="setViewer-towerwarspp.preset.Viewer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setViewer</h4>
<pre>public&nbsp;void&nbsp;setViewer(<a href="../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a>&nbsp;viewer)</pre>
<div class="block">Setter of Viewer and Initialize of JPanels.
 Creates the <a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io"><code>HexagonGrid</code></a> when not initialized before.
 Get the Arrays of <code>Polygon</code> which are
 1. All Hexagons.
 2. All Hexagons a little smaller (for marking the tokens of the actual Player).
 Add all JPanels to the JFrame.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/io/View.html#setViewer-towerwarspp.preset.Viewer-">setViewer</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>viewer</code> - Viewer-Object</dd>
</dl>
</li>
</ul>
<a name="dialog-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dialog</h4>
<pre>public&nbsp;void&nbsp;dialog(java.lang.String&nbsp;string)</pre>
<div class="block">Set the Text of the ResultDialog and set the Dialog on visible.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/io/View.html#dialog-java.lang.String-">dialog</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>string</code> - String which should be displayed.</dd>
</dl>
</li>
</ul>
<a name="setTitle-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTitle</h4>
<pre>public&nbsp;void&nbsp;setTitle(java.lang.String&nbsp;string)</pre>
<div class="block">Sets the Title of the JFrame.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/io/View.html#setTitle-java.lang.String-">setTitle</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>setTitle</code>&nbsp;in class&nbsp;<code>java.awt.Frame</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>string</code> - String who should be in the Title</dd>
</dl>
</li>
</ul>
<a name="display-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>display</h4>
<pre>public&nbsp;void&nbsp;display(java.lang.String&nbsp;string)</pre>
<div class="block">Set the textarea of ButtonPanel to display e.g turn and player.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/io/View.html#display-java.lang.String-">display</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>string</code> - Information which should be displayed</dd>
</dl>
</li>
</ul>
<a name="visualize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>visualize</h4>
<pre>public&nbsp;void&nbsp;visualize()</pre>
<div class="block">Updates the JPanel.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/io/View.html#visualize--">visualize</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></code></dd>
</dl>
</li>
</ul>
<a name="deliver--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>deliver</h4>
<pre>public&nbsp;<a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;deliver()
             throws java.lang.Exception</pre>
<div class="block">Waits for Player Input and set the Main-Thread to wait().</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/preset/Requestable.html#deliver--">deliver</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/preset/Requestable.html" title="interface in towerwarspp.preset">Requestable</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Move</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - if Thread is interrupted</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GraphicIO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/io/GraphicIO.html" target="_top">Frames</a></li>
<li><a href="GraphicIO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.javax.swing.JFrame">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
